// ServerWidget.h
#ifndef SERVERWIDGET_H
#define SERVERWIDGET_H

#include <QWidget>
#include <QLineEdit>
#include <QPushButton>
#include <QIcon>
#include <QHBoxLayout>

class ServerWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ServerWidget(const QString &domain, int port, QWidget *parent = nullptr);
    ~ServerWidget();

signals:
    void removeWidget(ServerWidget *widget);

public:
    bool deleted = 0;
    QString getPort() const;
    QString getDomain() const;

private:
    QLineEdit *domainLineEdit;
    QLineEdit *portLineEdit;
    QPushButton *removeButton;
};

#endif // SERVERWIDGET_H
